- Qt 6.10
- Qt Virtual Keyboard
- C++ Classes
- QVirtualKeyboardObserver
- Qt Virtual Keyboard | Commercial or GPLv3

# QVirtualKeyboardObserver Class

Acts as a hub for keyboard event notifications. More...

Header: | `#include <QVirtualKeyboardObserver>`
CMake: | `find_package(Qt6 REQUIRED COMPONENTS VirtualKeyboard)` `target_link_libraries(mytarget PRIVATE Qt6::VirtualKeyboard)`
qmake: | `QT += virtualkeyboard`
In QML: | KeyboardObserver

- List of all members, including inherited members

## Properties

- layout : const QVariant

## Public Functions

QVariant | layout()

## Signals

void | layoutChanged()

## Detailed Description

## Property Documentation

### `[read-only]` layout : const QVariant

This property holds the current keyboard layout expressed as a variant.

Access functions:

QVariant | layout()

Notifier signal:

void | layoutChanged()